Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452792 - whitespace in xref attributes breaks po merging
Summary: whitespace in xref attributes breaks po merging
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kdesdk
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Ngo Than
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-25 05:47 UTC by Christopher Curran
Modified: 2013-04-12 19:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-24 12:39:43 UTC


Attachments (Terms of Use)

Description Christopher Curran 2008-06-25 05:47:25 UTC
Description of problem:
Chester found an issue preventing the Virtualization Guide from building
from the RT3 ticket:
I located the issue that causes this problem:  it is suggested "not" to have a
space between = and " signs in a tag.  This also applies to " and / signs.

The source was:
<para>To view vcpus using <command>virsh</command> refer to <xref linkend=
"form-Virtualization-Managing_guests_with_virsh-Displaying_virtual_CPU_information"
/> for more information.</para>

and being changed to:
<para>To view vcpus using <command>virsh</command> refer to <xref
linkend="form-Virtualization-Managing_guests_with_virsh-Displaying_virtual_CPU_information"/>
for more information.</para>

After modifying this, the problem is solved.  However, why doesn't the spaces in
other files cause problems is still unknown.

Version-Release number of selected component (if applicable):
all probably, I've only tested the latest

How reproducible:
Unknown

Steps to Reproduce:
1. <xref linkend=
"form-Virtualization-Managing_guests_with_virsh-Displaying_virtual_CPU_information"
/> the spacing between braces seems to be the issue
2. po files break
3.
  
Actual results:
book breaks

Expected results:
book doesn't break

Additional info:
see https://engineering.redhat.com/rt3/Ticket/Display.html?id=23990

Comment 1 Jeff Fearn 🐞 2008-06-25 07:55:54 UTC
To clarify, this bug only happens when there is a space between the = and the ",
the white space at the end of tag, between the " and the / has no effect.

OK:      <xref linkend="foo" />

NOT OK:  <xref linkend= "foo"/>


This is actually a bug in the way the pot file is created, which is the xml2pot
command in the kdesdk.

e.g.

para in xml:

<para>To view vcpus using <command>virsh</command> refer to <xref linkend=
"form-Virtualization-Managing_guests_with_virsh-Displaying_virtual_CPU_information"/>
for more information.</para>

msgid in pot:

msgid ""
"To view vcpus using <command>virsh</command> refer to <xref linkend=\"form-"
"Virtualization-Managing_guests_with_virsh-Displaying_virtual_CPU_information"
"\"/> for more information."

NOTE: the space between linkend= and " has been removed in the pot.

This means when the PO file is merged with the XML file the msgid doesn't match
the XML and it can't resolve the msg.

Work around is to not have white space between the = and " in attributes.

Moving to kdesdk component for further consideration.

Comment 2 Phil Knirsch 2008-12-22 11:42:48 UTC
Proposing as a FasTrack RHEL-5.4 errata and granting Devel ACK.

Thanks & regards, Phil

Comment 5 Phil Knirsch 2009-02-24 12:39:43 UTC
This request was evaluated by Red Hat Engineering for inclusion in a Red
Hat Enterprise Linux maintenance release.                               

As this bug has been in NEEDINFO for an extended period of time we are going
to close this bug due to inactivity. If you would like to pursue this       
matter feel free to reopen this bug and attach the needed information.      

With the goal of minimizing risk of change for deployed systems, and in
response to customer and partner requirements, Red Hat takes a conservative
approach when evaluating enhancements for inclusion in maintenance updates
for currently deployed products. The primary objectives of update releases
are to enable new hardware platform support and to resolve critical
defects.

However, Red Hat will further review this request for potential inclusion
in future major releases of Red Hat Enterprise Linux.


Note You need to log in before you can comment on or make changes to this bug.